Bug 1756900 - tests are failing in RHEL8 regression
Summary: tests are failing in RHEL8 regression
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: GlusterFS
Classification: Community
Component: core
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-30 07:49 UTC by Sanju
Modified: 2020-03-12 13:24 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-12 13:24:15 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Gluster.org Gerrit 23501 0 None Open ssl: fix RHEL8 regression failure 2019-10-01 13:25:58 UTC
Gluster.org Gerrit 23587 0 None Open ssl/test: Change the rsa key length to 2048 2019-10-30 01:28:52 UTC
Gluster.org Gerrit 23703 0 None Merged ssl/test: ssl test case is failing when using specific cipher 2019-11-15 07:38:37 UTC
Gluster.org Gerrit 23734 0 None Open tests/fuse/bug-965974.t: turn off md-cache, to fix failure of the test 2019-12-19 12:41:47 UTC

Description Sanju 2019-09-30 07:49:05 UTC
Description of problem:
Below tests are failing in RHEL8 regression:

23:56:01 ./tests/basic/fops-sanity.t
23:56:01 ./tests/basic/gfapi/gfapi-ssl-test.t
23:56:01 ./tests/basic/namespace.t
23:56:01 ./tests/basic/playground/template-xlator-sanity.t
23:56:01 ./tests/basic/posix/shared-statfs.t
23:56:01 ./tests/basic/volume-snapshot-clone.t
23:56:01 ./tests/bugs/cli/bug-1320388.t
23:56:01 ./tests/bugs/fuse/bug-985074.t
23:56:01 ./tests/bugs/glusterd/quorum-value-check.t
23:56:01 ./tests/bugs/glusterfs-server/bug-887145.t
23:56:01 ./tests/bugs/io-stats/bug-1598548.t
23:56:01 ./tests/bugs/nfs/bug-1053579.t
23:56:01 ./tests/bugs/nfs/bug-1116503.t
23:56:01 ./tests/bugs/nfs/bug-1157223-symlink-mounting.t
23:56:01 ./tests/bugs/rpc/bug-954057.t
23:56:01 ./tests/bugs/shard/bug-1272986.t
23:56:01 ./tests/bugs/shard/unlinks-and-renames.t
23:56:01 ./tests/bugs/snapshot/bug-1399598-uss-with-ssl.t
23:56:01 ./tests/bugs/transport/bug-873367.t
23:56:01 ./tests/features/ssl-authz.t
23:56:01 ./tests/features/ssl-ciphers.t

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Worker Ant 2019-09-30 08:00:09 UTC
REVIEW: https://review.gluster.org/23501 (ssl: fix RHEL8 regression failure) posted (#1) for review on master by Sanju Rakonde

Comment 2 Worker Ant 2019-10-01 13:25:59 UTC
REVIEW: https://review.gluster.org/23501 (ssl: fix RHEL8 regression failure) merged (#2) on master by Atin Mukherjee

Comment 3 Worker Ant 2019-10-22 10:46:07 UTC
REVIEW: https://review.gluster.org/23587 (ssl/test: Change the rsa key length to 2048) posted (#1) for review on master by mohammed rafi  kc

Comment 4 Worker Ant 2019-10-30 01:28:53 UTC
REVIEW: https://review.gluster.org/23587 (ssl/test: Change the rsa key length to 2048) merged (#3) on master by Atin Mukherjee

Comment 5 Worker Ant 2019-11-13 03:00:58 UTC
REVIEW: https://review.gluster.org/23703 (ssl/test: ssl test case is failing when using specific cipher) posted (#1) for review on master by MOHIT AGRAWAL

Comment 6 Worker Ant 2019-11-15 07:38:38 UTC
REVIEW: https://review.gluster.org/23703 (ssl/test: ssl test case is failing when using specific cipher) merged (#4) on master by MOHIT AGRAWAL

Comment 7 Worker Ant 2019-11-20 17:18:00 UTC
REVIEW: https://review.gluster.org/23734 (tests/fuse/bug-965974.t: turn off md-cache, to fix failure of the test) posted (#1) for review on master by Raghavendra G

Comment 8 Worker Ant 2019-12-19 12:41:49 UTC
REVIEW: https://review.gluster.org/23734 (tests/fuse/bug-965974.t: turn off md-cache, to fix failure of the test) merged (#2) on master by Xavi Hernandez

Comment 9 Worker Ant 2020-03-12 13:24:15 UTC
This bug is moved to https://github.com/gluster/glusterfs/issues/1009, and will be tracked there from now on. Visit GitHub issues URL for further details


Note You need to log in before you can comment on or make changes to this bug.